package org.yaoqiang.bpmn.model.elements.collaboration;

import org.yaoqiang.bpmn.model.elements.XMLTextElement;
import org.yaoqiang.bpmn.model.elements.core.foundation.BaseElement;

/**
 * ParticipantAssociation
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class ParticipantAssociation extends BaseElement {

	public ParticipantAssociation(ParticipantAssociations parent) {
		super(parent, "participantAssociation");
	}

	protected void fillStructure() {
		XMLTextElement attrInnerParticipantRef = new XMLTextElement(this, "innerParticipantRef");
		XMLTextElement attrOuterParticipantRef = new XMLTextElement(this, "outerParticipantRef");

		super.fillStructure();
		add(attrInnerParticipantRef);
		add(attrOuterParticipantRef);
	}

	public ParticipantAssociations getParent() {
		return (ParticipantAssociations) parent;
	}

}
