package org.yaoqiang.bpmn.model.elements.core.common;

import org.yaoqiang.bpmn.model.elements.XMLAttribute;
import org.yaoqiang.bpmn.model.elements.core.foundation.BaseElement;

/**
 * CorrelationPropertyBinding
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class CorrelationPropertyBinding extends BaseElement {

	public CorrelationPropertyBinding(CorrelationPropertyBindings parent) {
		super(parent, "correlationPropertyBinding");
	}

	protected void fillStructure() {
		XMLAttribute attrCorrelationPropertyRef = new XMLAttribute(this, "correlationPropertyRef");
		FormalExpression refDataPath = new FormalExpression(this, "dataPath");

		super.fillStructure();
		add(attrCorrelationPropertyRef);
		add(refDataPath);
	}

	public CorrelationPropertyBindings getParent() {
		return (CorrelationPropertyBindings) parent;
	}

}
