package org.yaoqiang.bpmn.model.elements.data;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * Assignments
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class Assignments extends XMLCollection {

	public Assignments(DataAssociation parent) {
		super(parent, "assignments");
	}
	
	public XMLElement generateNewElement() {
		Assignment assignment = new Assignment(this);
		assignment.setId(createId(getParent().getId() + "_A"));
		return assignment;
	}

	public String getElementName() {
		return "assignment";
	}
	
	public DataAssociation getParent() {
		return (DataAssociation) parent;
	}

}
