package org.yaoqiang.bpmn.editor.dialog;

import org.yaoqiang.bpmn.editor.BPMNEditor;
import org.yaoqiang.graph.editor.dialog.BaseDialog;
import org.yaoqiang.graph.editor.dialog.Panel;

import com.mxgraph.util.mxResources;

/**
 * JSONDialog
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class JSONDialog extends BaseDialog {

	private static final long serialVersionUID = 1L;

	public JSONDialog(BPMNEditor editor) {
		super(editor);
	}

	public JSONDialog initDialog() {
		return (JSONDialog) super.initDialog();
	}

	public JSONDialog initDialog(String optButton) {
		return (JSONDialog) super.initDialog(optButton);
	}
	
	public JSONDialog initDialog(boolean save) {
		return (JSONDialog) super.initDialog(save);
	}
	
	public JSONDialog initDialog(boolean save, String okButton) {
		return (JSONDialog) super.initDialog(save, okButton);
	}
	
	public JSONPanel getParentPanel() {
		return (JSONPanel) parentPanel;
	}

	public BPMNEditor getEditor() {
		return (BPMNEditor) editor;
	}

	public void editObject(Object obj) {
		editObject(null, obj, "");
	}

	public void editObject(Object obj, String type) {
		editObject(null, obj, type);
	}

	public void editObject(Panel parentPanel, Object obj, String type) {
		this.parentPanel = parentPanel;
		panelContainer.setActiveObject(obj, type);
		setTitle(mxResources.get(type));
		setDialogVisible();
	}

	protected void init() {
		panelContainer = new JSONPanelContainer(this);
	}
}
