package org.yaoqiang.bpmn.model.elements.activities;

import org.yaoqiang.bpmn.model.elements.core.common.FormalExpression;
import org.yaoqiang.bpmn.model.elements.core.foundation.BaseElement;
import org.yaoqiang.bpmn.model.elements.events.ImplicitThrowEvent;

/**
 * ComplexBehaviorDefinition
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class ComplexBehaviorDefinition extends BaseElement {

	public ComplexBehaviorDefinition(ComplexBehaviorDefinitions parent) {
		super(parent, "complexBehaviorDefinition");
	}

	protected void fillStructure() {
		FormalExpression refCondition = new FormalExpression(this, "condition");

		super.fillStructure();
		add(refCondition);
	}
	
	public ComplexBehaviorDefinitions getParent() {
		return (ComplexBehaviorDefinitions) parent;
	}
	
	protected ImplicitThrowEvent event;
	
}
