package org.yaoqiang.bpmn.model.elements.activities;

import org.yaoqiang.bpmn.model.elements.XMLAttribute;
import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.XMLTextElement;
import org.yaoqiang.bpmn.model.elements.process.GlobalTask;

/**
 * GlobalScriptTask
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class GlobalScriptTask extends GlobalTask {

	public GlobalScriptTask(XMLElement parent) {
		super(parent, "globalScriptTask");
	}

	protected void fillStructure() {
		XMLAttribute attrScriptFormat = new XMLAttribute(this, "scriptFormat");
		XMLTextElement refScript = new XMLTextElement(this, "script");
		super.fillStructure();
		add(attrScriptFormat);
		add(refScript);
	}

}
