package org.yaoqiang.bpmn.model.elements.choreography;

import org.yaoqiang.bpmn.model.elements.XMLAttribute;
import org.yaoqiang.bpmn.model.elements.core.foundation.RootElements;

/**
 * GlobalChoreographyTask
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class GlobalChoreographyTask extends Choreography {

	public GlobalChoreographyTask(RootElements parent) {
		super(parent, "globalChoreographyTask");
	}

	protected void fillStructure() {
		XMLAttribute attrInitiatingParticipantRef = new XMLAttribute(this, "initiatingParticipantRef");

		super.fillStructure();
		add(attrInitiatingParticipantRef);
	}

}
