package org.yaoqiang.bpmn.model.elements.core.common;

import org.yaoqiang.bpmn.model.elements.XMLAttribute;
import org.yaoqiang.bpmn.model.elements.core.foundation.BaseElement;

/**
 * CorrelationSubscription
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class CorrelationSubscription extends BaseElement {

	public CorrelationSubscription(CorrelationSubscriptions parent) {
		super(parent, "correlationSubscription");
	}

	protected void fillStructure() {
		XMLAttribute attrCorrelationKeyRef = new XMLAttribute(this, "correlationKeyRef");
		CorrelationPropertyBindings refCorrelationPropertyBindings = new CorrelationPropertyBindings(this);

		super.fillStructure();
		add(attrCorrelationKeyRef);
		add(refCorrelationPropertyBindings);
	}

	public CorrelationSubscriptions getParent() {
		return (CorrelationSubscriptions) parent;
	}

}
