package org.yaoqiang.bpmn.model.elements.data;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.core.foundation.BaseElement;

/**
 * Properties
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class Properties extends XMLCollection {

	public Properties(XMLElement parent) {
		super(parent, "properties");
	}

	public XMLElement generateNewElement() {
		Property property = new Property(this);
		property.setId(createId(((BaseElement) getParent()).getId() + "_P"));
		return property;
	}

	public String getElementName() {
		return "property";
	}
	
}
